[USN-3888-1] GVfs vulnerability

protocol=”application/pgp-signature”; boundary=”=-vFfLo/FHQQKMUjoBFuCS”

–=-vFfLo/FHQQKMUjoBFuCS

Content-Transfer-Encoding: quoted-printable

=
=

Ubuntu Security Notice USN-3888-1
February 12, 2019

gvfs vulnerability
=
=

A security issue affects these releases of Ubuntu and its derivatives:

– Ubuntu 18.10
– Ubuntu 18.04 LTS

Summary:

GVfs could be made to expose sensitive information if it received
a specially crafted input.

Software Description:
– gvfs: userspace virtual filesystem – GIO module

Details:

It was discovered that GVfs incorrectly handled certain inputs. An
attacker could possibly use this issue to access sensitive information.

Update instructions:

The problem can be corrected by updating your system to the following
package versions:

Ubuntu 18.10:
=C2=A0 gvfs=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=
=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A01.38.1-0ubuntu1.2
=C2=A0 gvfs-backends=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A01.38.1-0ubuntu1=
.2

Ubuntu 18.04 LTS:
=C2=A0 gvfs=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=
=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A01.36.1-0ubuntu1.3
=C2=A0 gvfs-backends=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A01.36.1-0ubuntu1=
.3

In general, a standard system update will make all the necessary
changes.

References:
=C2=A0 https://usn.ubuntu.com/usn/usn-3888-1
=C2=A0 CVE-2019-3827

Package Information:
=C2=A0 https://launchpad.net/ubuntu/+source/gvfs/1.38.1-0ubuntu1.2
=C2=A0 https://launchpad.net/ubuntu/+source/gvfs/1.36.1-0ubuntu1.3
–=-vFfLo/FHQQKMUjoBFuCS

Content-Description: This is a digitally signed message part
Content-Transfer-Encoding: 7bit

—–BEGIN PGP SIGNATURE—–
Version: GnuPG v2

iQIcBAABCAAGBQJcYxJDAAoJEEW851uECx9pW74P/A3x1dXta8mP1Zqh0WYtsorR
FtqII9kcvNO6wXTyMcm9ilCUM0xv2VCNc4F0KagYukmQvpcQfazEjUFyn1dhX+0+
nWCipIDqLHNMxpmITEpLc/sbPyEwarcmjUOcJZICSjgUy/iHzlVf7Psxs/6St0AO
kFzlDR5DWQ3LvBJgioTIt3NrZAuytr4+qv/LWMTQ9/dWBOHddp6vKW34wmS3nnPv
JgPy9xMNivvNHqVMhzSXZ2/3wQpm25z4ZVaJ0igzVHCYNlZtgp2kmvf2Bccym8BU
sbDVNtkG+EGyNFN0niS0kqnlGcdd0kj/zrD2Rfi4bhTmGaJE6kae9HwKwFIKjwZ7
wQy5VsnHzD2l74KnVNQiPe+VbS2P9m9y9y8CjkIpY9IvCgUPw+QjY4FiSvWdj/XN
zlQqs6k/5F1oiM5pTETDbT+/bv7Zwgu9RDajfusuCcH5IVPYDCeQTkAtlbT8JVDl
HYHEcm6lSd4J45luGj9Bm+DXk73t10F8/bD3f/v20PxnjTd2zFwUgXuJIb1R3dBo
xqXHbiPVD95LWBqNtS0Ppp7tvwDOLEPrdIYRQ9LqZg3Z34+jE6o3KTczpDDCHfuk
wjBsYl20lQJRSo8zjgUq1BaXabIdGSfeIZXbLAgJNr6VK8IvNrtg5+l0q4wLQqr1
oDtuiUoedNRsyhs+31Fe
=X7Bl
—–END PGP SIGNATURE—–

–=-vFfLo/FHQQKMUjoBFuCS–

MIME-Version: 1.0
Content-Transfer-Encoding: base64
Content-Disposition: inline

LS0gCnVidW50dS1zZWN1cml0eS1hbm5vdW5jZSBtYWlsaW5nIGxpc3QKdWJ1bnR1LXNlY3VyaXR5
LWFubm91bmNlQGxpc3RzLnVidW50dS5jb20KTW9kaWZ5IHNldHRpbmdzIG9yIHVuc3Vic2NyaWJl
IGF0OiBodHRwczovL2xpc3RzLnVidW50dS5jb20vbWFpbG1hbi9saXN0aW5mby91YnVudHUtc2Vj
dXJpdHktYW5ub3VuY2UK